Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.request
Class GetServiceDetail

    java.lang.Object
      weblogic.uddi.client.structures.request.Request
          weblogic.uddi.client.structures.request.GetServiceDetail

    public class GetServiceDetail

extends Request

The get_serviceDetail message is used to obtain complete information about one or more businessServices structures. To retrieve the information, one or more service keys are required.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`GetServiceDetail()` Class Constructor

Method Summary
`void` | `addServiceKey(String serviceKey)` Add new ServiceKey value to the set of ServiceKeys
`Vector` | `getServiceKeyVector()` Gets the set of ServiceKeys
`void` | `setServiceKeyVector(Vector keyVector)` Sets new set of ServiceKeys

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetServiceDetail

    public GetServiceDetail()

  Class Constructor

Method Detail

### addServiceKey

    public void addServiceKey(String serviceKey)

  Add new ServiceKey value to the set of ServiceKeys

  Parameters:
    `serviceKey` - New ServiceKey value

### setServiceKeyVector

    public void setServiceKeyVector(Vector keyVector)

  Sets new set of ServiceKeys

  Parameters:
    `keyVector` - Set of ServiceKeys

### getServiceKeyVector

    public Vector getServiceKeyVector()

  Gets the set of ServiceKeys

  Returns:
    Set of ServiceKeys

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD